Summary:	FTP-type client using SSH to transfer files 
Name:		hsftp
Version:	1.15
Release:	5
Source0:	%{name}-%{version}.tar.bz2
Patch0:		hsftp-1.15-fix-string-format.patch
Patch1:		hsftp-1.15-dont-strip-binary.patch
License:	Public Domain 
URL:		http://la-samhna.de/hsftp/
Group:		Networking/File transfer
Requires:	openssh-clients
BuildRequires:	readline-devel

%description
hsftp is an FTP emulator that provides the look and feel of an FTP session,
but uses ssh to transport commands and data. It is written in C, and requires
no additional libraries.

%prep
%setup -q
%patch0 -p1 -b .str_fmt~
%patch1 -p1 -b .nostrip~

%build
%configure	--with-readline
%make

%install
%makeinstall

%files
%doc readme license hsftp.lsm
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Sat Oct 27 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.15-5
+ Revision: 820023
- leave stripping of binary to rpm
- build with readline support
- fix license
- fix -Werror=format-security (P0)
- cleanups

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.15-3mdv2009.0
+ Revision: 247036
- rebuild

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org> 1.15-1mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - fix hardcoded man page extension
    - import hsftp


* Thu Jan 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- 1.15

* Wed Dec 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.13-1mdk
- 1.13

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.11-5mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.11-4mdk
- rebuild

* Tue Jul 31 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.11-3mdk
- rebuild

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.11-2mdk
- rebuild

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.11-1mdk
- updated to 1.11

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.10-1mdk
- updated to 1.10

* Thu Oct 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9-2mdk
- requires openssh-clients

* Wed Oct 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9-1mdk
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com> :
	v1.9
	added prefix
	changed group
	stripped binaries and bzip'd man pages
- macros
- clean spec


* Thu May 04 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 1.7-1mdk
  - v1.7

* Tue May 02 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 1.6-1mdk
  - v1.6

* Tue Apr 18 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 1.5-1mdk
  - v1.5 (updated from freshmeat)
  - moved to .tar.bz2 archive

* Thu Mar 30 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 1.4-1mdk
  - new spec file
